--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************


ALTER SESSION SET CURRENT_SCHEMA= &&NF_SCHEMA;

INSERT INTO TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID,NAME) VALUES (-1,'Info Not Available');

INSERT INTO TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID,NAME) VALUES (1,'CQTM Test Case');

INSERT INTO TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID,NAME) VALUES (2,'RQM Test Case');

INSERT INTO TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID,NAME) VALUES (3,'TM Test Case');

INSERT INTO TESTPLAN_CLASSIFICATION (TESTPLAN_CLASS_ID ,NAME) VALUES (-1,'Info Not Available'); 		

INSERT INTO TESTPLAN_CLASSIFICATION (TESTPLAN_CLASS_ID ,NAME) VALUES (1,'CQTM Test Plan'); 

INSERT INTO TESTPLAN_CLASSIFICATION (TESTPLAN_CLASS_ID ,NAME) VALUES (2,'RQM Test Plan'); 

INSERT INTO TESTPLAN_CLASSIFICATION (TESTPLAN_CLASS_ID ,NAME) VALUES (3,'TM Test Plan'); 

INSERT INTO TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID,NAME) VALUES (-1,'Info Not Available'); 		

INSERT INTO TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID,NAME) VALUES (1,'CQTM Test Suite'); 		

INSERT INTO TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID,NAME) VALUES (2,'RQM Test Suite'); 		

INSERT INTO TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID,NAME) VALUES (3,'TM Test Suite'); 

INSERT INTO TESTSUITELOG_CLASSIFICATION (TESTSUITELOG_CLASS_ID,NAME) VALUES (-1,'Info Not Available'); 		

INSERT INTO TESTSUITELOG_CLASSIFICATION (TESTSUITELOG_CLASS_ID,NAME) VALUES (1,'CQTM Test Suite Log'); 

INSERT INTO TESTSUITELOG_CLASSIFICATION (TESTSUITELOG_CLASS_ID,NAME) VALUES (2,'RQM Test Suite Log'); 

INSERT INTO TESTSUITELOG_CLASSIFICATION (TESTSUITELOG_CLASS_ID,NAME) VALUES (3,'TM Test Suite Log'); 

INSERT INTO EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID,NAME) VALUES (-1,'Info Not Available'); 		

INSERT INTO EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID,NAME) VALUES (1,'CQTM Execution Result'); 		

INSERT INTO EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID,NAME) VALUES (2,'RQM Execution Result'); 	

INSERT INTO EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID,NAME) VALUES (3,'TM Execution Result'); 	

INSERT INTO EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID ,NAME) VALUES (-1,'Info Not Available'); 		

INSERT INTO EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID ,NAME) VALUES (1,'CQTM Execution Work Item'); 

INSERT INTO EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID ,NAME) VALUES (2,'RQM Execution Work Item'); 

INSERT INTO EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID ,NAME) VALUES (3,'TM Execution Work Item'); 

INSERT INTO CONFIGURATION_CLASSIFICATION (CONFIGURATION_CLASS_ID,NAME) VALUES (-1,'Info Not Available'); 		

INSERT INTO CONFIGURATION_CLASSIFICATION (CONFIGURATION_CLASS_ID,NAME) VALUES (1,'CQTM Configuration'); 		

INSERT INTO CONFIGURATION_CLASSIFICATION (CONFIGURATION_CLASS_ID,NAME) VALUES (2,'RQM Configuration'); 

INSERT INTO CONFIGURATION_CLASSIFICATION (CONFIGURATION_CLASS_ID,NAME) VALUES (3,'TM Configuration'); 

INSERT INTO BUILD_CLASSIFICATION (BUILD_CLASS_ID,NAME) VALUES (-1,'Info not available'); 

INSERT INTO BUILD_CLASSIFICATION (BUILD_CLASS_ID,NAME) VALUES (1,'CQ Build'); 

INSERT INTO BUILD_CLASSIFICATION (BUILD_CLASS_ID,NAME) VALUES (2,'RTC Build'); 

INSERT INTO BUILD_CLASSIFICATION (BUILD_CLASS_ID,NAME) VALUES (3,'TM Build'); 

INSERT INTO REQUEST_CATEGORY (REQUEST_CATEGORY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO FILE_CLASSIFICATION (FILE_CLASS_ID,NAME) VALUES (-1,'Info Not Available');

INSERT INTO FILE_CLASSIFICATION (FILE_CLASS_ID,NAME) VALUES (1,'Clear Case File');

INSERT INTO FILE_CLASSIFICATION (FILE_CLASS_ID,NAME) VALUES (2,'RTC File');

INSERT INTO FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID,NAME) VALUES (-1,'Info Not Available');

INSERT INTO FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID,NAME) VALUES (1,'Clear Case File Stream');

INSERT INTO FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID,NAME) VALUES (2,'RTC File Stream');

INSERT INTO CURRENCY (CURRENCY_ID,NAME,EXCHANGE_RATE,VALID_START_DATE,VALID_FINISH_DATE) VALUES(-1,'Info not available',0.00,CURRENT_TIMESTAMP,CURRENT_TIMESTAMP);	

INSERT INTO OPERATING_TERRITORY (TERRITORY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO COUNTRY (COUNTRY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO PROVINCE_STATE (PROVINCE_STATE_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO CITY (CITY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO ORGANIZATION (ORGANIZATION_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO POOL (POOL_ID,NAME) VALUES(-1,'Info not available');	

INSERT INTO "RESOURCE" (RESOURCE_ID,NAME,FULL_NAME,FIRST_NAME,LAST_NAME,MIDDLE_INITIAL) VALUES(-1,'Info not available','Info not available','Info not available','Info not available','Info not available');

INSERT INTO PROFILE (PROFILE_ID,NAME) VALUES(-1,'Info not available');	

INSERT INTO SKILL (SKILL_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO COMPETENCY (COMPETENCY_ID,NAME) VALUES(-1,'Info not available');
	
INSERT INTO TASK_CATEGORY (TASK_CATEGORY_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (1,'Microsoft Project');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (2,'CQ Project');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (3,'UCM Project');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (4,'RTC Project Area');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (5,'TM Project');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (6,'ReqPro Project');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (7,'RQM Project');

INSERT INTO PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES (8,'Project Conductor Project');

INSERT INTO PRODUCT (PRODUCT_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO ASSETREGISTRY (ASSETREGISTRY_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO PROJECT_CATEGORY (PROJECT_CATEGORY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO ITERATION (ITERATION_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO PROGRAM (PROGRAM_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO PROJECT (PROJECT_ID,NAME) VALUES (-1,'Others');

INSERT INTO RELEASE (RELEASE_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO PHASE (PHASE_ID,NAME) VALUES (-1,'Info not available');			

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (1,'ALM Activity');

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (2,'UCM Activity');

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (3,'All UCM Activity');

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (4,'MSP Assignment');

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (5,'Change Set');

INSERT INTO ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES (6,'Project Conductor Assignment');

INSERT INTO CUSTOMER (CUSTOMER_ID,NAME) VALUES(-1,'Info not available');	

INSERT INTO TEAM (TEAM_ID,NAME)VALUES(-1,'Info not available');			

INSERT INTO PROJECT_ROLE (PROJECT_ROLE_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO PROJECT_TYPE (PROJECT_TYPE_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO PROJECT_WORKCONFIGURATION (PROJECT_WKCFG_ID,NAME) VALUES (-1,'Info not available');	

INSERT INTO COMPONENT_CLASSIFICATION (COMPONENT_CLASS_ID,NAME) VALUES(-1,'Info not available');			

INSERT INTO COMPONENT_CLASSIFICATION (COMPONENT_CLASS_ID,NAME) VALUES(1,'CQ Component');	

INSERT INTO COMPONENT_CLASSIFICATION (COMPONENT_CLASS_ID,NAME) VALUES(2,'CC Component');	

INSERT INTO COMPONENT_CLASSIFICATION (COMPONENT_CLASS_ID,NAME) VALUES(3,'RTC Component');

INSERT INTO COMPONENT (COMPONENT_ID,NAME) VALUES(-1,'Info not available');	

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (-1,'No Type');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (1,'Defect');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (2,'RFE');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (3,'Task');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (4,'ALM Request');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (5,'Enhancement Request');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (6,'RQM WorkItem');

INSERT INTO REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (7,'RTC WorkItem');

INSERT INTO FILE_STREAM (FILE_STREAM_ID,NAME,REFERENCE_ID) VALUES (-1,'Info not available','Info not available');                   

INSERT INTO PROJECT_BASELINE (BASELINE_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(1,'Project Conductor Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(2,'Project Conductor Story');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(3,'Project Conductor CR Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(4,'Project Conductor Summary Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(5,'Project Conductor Issue Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(6,'Project Conductor Defect Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(7,'RPM Service Request Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(8,'RPM Requirement Task Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(9,'RPM Action Item Task'); 

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(10,'ALM Task');  

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(11,'Standard MSP Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(12,'MSP Milestone');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(13,'MSP Summary Task');

INSERT INTO TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(15,'MSP SubProject Task');

INSERT INTO TASK (TASK_ID ,NAME) VALUES(-1,'Info not available'); 

INSERT INTO BUILD (BUILD_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO CHARGECODE (CHARGECODE_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO ACTIVITY (ACTIVITY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO "FILE" (FILE_ID,NAME,REFERENCE_ID) VALUES (-1,'Info not available','Info not available');
INSERT INTO FILE_VERSION (FILE_VERSION_ID,FILE_ID,NAME,REFERENCE_ID,CREATION_DATE) VALUES (-1,-1,'Info not available','Info not available',CURRENT_TIMESTAMP);

INSERT INTO FILE_BASELINE (FILE_BASELINE_ID,NAME,REFERENCE_ID) VALUES (-1,'Info not available','Info not available');                  

INSERT INTO REQUEST (REQUEST_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO CONFIGURATION (CONFIGURATION_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO CONFIGURATION_ATTRIBUTE (CONFIGURATION_ATTRIBUTE_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO TESTTYPE (TESTTYPE_ID,NAME) VALUES(-1,'Info not available');	

INSERT INTO TESTSUITE (TESTSUITE_ID,NAME) VALUES(-1,'Info not available');	

INSERT INTO TESTPLAN (TESTPLAN_ID,REFERENCE_ID,NAME) VALUES(-1,'Info not available','Info not available');	

INSERT INTO TESTSCRIPT (TESTSCRIPT_ID,NAME) VALUES(-1,'Info not available');

INSERT INTO TESTCASE (TESTCASE_ID,REFERENCE_ID,NAME) VALUES(-1,'Info not available','Info not available');	

INSERT INTO EXECUTION_RESULT (EXECUTION_RESULT_ID,BUILD_ID) VALUES(-1,-1);	

INSERT INTO EXECUTION_WORKITEM (EXECWORKITEM_ID,REFERENCE_ID,NAME,TESTCASE_ID) VALUES(-1,'Info not available','Info not available',-1);	

INSERT INTO TESTSUITELOG (TESTSUITELOG_ID,BUILD_ID) VALUES(-1,-1);

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (1, 'Requirement');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (2, 'Release Requirement');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (3, 'Feature');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (4, 'Supplementary');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (5, 'Term');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (6, 'Usecase');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (7, 'Product');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (8, 'Software');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (9, 'Business Rule');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (10,'Change Request');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (11,'Issue');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (12,'Mitigation Strategy');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (13,'Risk');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (14,'RUP Development Case Artifact');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (15,'Stakeholder Request');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (16,'Test Case');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (17,'Business Use Case');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (18,'Business Goal');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (19,'Key Performance Indicator');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (20,'Business Task');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (21,'RQM Requirement');

INSERT INTO REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (22,'Doors Requirement');

INSERT INTO REQUIREMENT (REQUIREMENT_ID,REQUIREMENT_CLASS_ID,NAME) VALUES (-1,-1,'Info not available');

INSERT INTO RISK (RISK_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO FACTOR (FACTOR_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO "COMMENT" (COMMENT_ID) VALUES (-1);
INSERT INTO TEST_CATEGORY (TEST_CATEGORY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO RESOURCE_GROUP (RESOURCE_GROUP_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO LAB_RESOURCE (LAB_RESOURCE_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO RESERVATION (RESERVATION_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO JOB (JOB_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO JOB_RESULT (JOB_RESULT_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO TIMECODE (TIMECODE_ID,NAME) VALUES (-1,'Info not available');


COMMIT;
