--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE005 CONSTANT VARCHAR(255) :='CRREW4505E: NF_SCHEMA 스키마가 널(null)이 아니어야 함';
CRREWMSGE006 CONSTANT VARCHAR(255) :='CRREW4506E: STAR_SCHEMA 스키마가 널(null)이 아니어야 함';
CRREWMSGE007 CONSTANT VARCHAR(255) :='CRREW4507E: REP_USER 사용자 이름이 널(null)이 아니어야 함';
CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: 달력 유형이 올바르지 않음. 1(그레고리력), 2 (ISO)를 지정하십시오.';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: START_YEAR가 널(null)이거나 END_YEAR 보다 큼';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: END_YEAR가 널(null)이거나 START_YEAR 보다 작음';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: 웨어하우스 스키마가 지정되지 않음. 올바른 스키마를 지정하십시오.';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: 날짜 차원이 손상됨. 가장 작은 날짜가 1월 1일이 아닙니다.';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: 날짜 차원이 손상됨. 가장 큰 날짜가 12월 31일이 아닙니다.';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: 날짜 차원이 지원되지 않는 달력임';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: 날짜 차원 인수 END_YEAR가 MIN(YEAR) IN D_DATE 보다 작음';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: 날짜 차원 인수 START_YEAR가 MAX(YEAR) IN D_DATE 보다 큼';
CRREWMSGE098 CONSTANT VARCHAR(255) :='CRREW4598E: Insight 버전을 판별할 수 없음';
CRREWMSGE099 CONSTANT VARCHAR(255) :='CRREW4599E: 대상 Insight 버전을 판별할 수 없음';
CRREWMSGE100 CONSTANT VARCHAR(255) :='CRREW4600E: 현재 버전이 대상 버전보다 큼';
CRREWMSGE101 CONSTANT VARCHAR(255) :='CRREW4601E: 명령문 실행 중 오류 발생';
CRREWMSGE102 CONSTANT VARCHAR(255) :='CRREW4602E: 실패한 종속 명령문이 있음';

CRREW4505E CONSTANT INTEGER :=4505;
CRREW4506E CONSTANT INTEGER :=4506;
CRREW4507E CONSTANT INTEGER :=4507;
CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;
CRREW4598E CONSTANT INTEGER :=4598;
CRREW4599E CONSTANT INTEGER :=4599;
CRREW4600E CONSTANT INTEGER :=4600;
CRREW4601E CONSTANT INTEGER :=4601;
CRREW4602E CONSTANT INTEGER :=4602;

END;
/
